extends ../components/layout/layout.pug
include ../components/blocks/diagnosis/diagnosis.pug
include ../components/blocks/data-table/data-table.pug


block vars
    - var htmlclasses = ""

block metaog

block metaseo
    +headMetaSeo(head.main)

block append page
    .car-detail
        .car-detail__gallery
            +swiper("swiper_h swiper_gallery","","","pagination","gallery","expand")
                +swiper-slide('', 'http://demo.os-cars.ru/static/lk/reports/IMG_1836.JPG')
                +swiper-slide('', 'http://demo.os-cars.ru/static/lk/reports/IMG_1840.JPG')
                +swiper-slide('', 'http://demo.os-cars.ru/static/lk/reports/IMG_1847.JPG')
            script.

                swiperFullscreen = function () {
                    if ($('html').hasClass('html_swiper')) {
                        $('html').removeClass('html_swiper');
                        $('.car-detail__gallery .swiper').addClass('swiper_gallery').removeClass('swiper_fullscreen');

                        swiperGallery.update(true);
                    } else {
                        $('html').addClass('html_swiper');

                        $('.car-detail__gallery .swiper').removeClass('swiper_gallery').addClass('swiper_fullscreen');

                        swiperGallery.update(true);
                    }
                };

                $(document).ready(function () {
                    swiperGallery = new Swiper('.car-detail__gallery .swiper__container', {
                        slidesPerView: 'auto',
                        pagination: '.car-detail__gallery .swiper__pagination',
                        nextButton: '.car-detail__gallery .swiper__button_next',
                        prevButton: '.car-detail__gallery .swiper__button_prev',
                        paginationClickable: true,
                        centeredSlides: true
                    });
                });

                $(document).on('click', '.car-detail__gallery .swiper__expand .btn', function () {
                    swiperFullscreen();
                });
        .car-detail__content
            .car-detail__header.header.header_controls
                .header__main
                    h1.car-detail__title Mercedes-Benz E-klasse IV
                        .car-detail__status.status.status_progress.status_l планируется осмотр
                    .car-detail__sub-title
                        .car-detail__specs
                            h3.car-detail__date 2010 год
                            h3.car-detail__mileage 155 000 км
                            h3.car-detail__price 1 500 000 ₽
                .header__controls
                    .dropdown
                        .dropdown__control
                            .btn.btn_m.btn_square.btn_primary
                                .btn__icon.icon.icon_24
                                    svg
                                        use(xlink:href='#icon_menu_24')
                        .dropdown__content
                            .menu-controls
                                .menu-controls__item
                                    a.menu-controls__link(href="car-edit.html") Редактировать
                                .menu-controls__item
                                    a.menu-controls__link(href="report-edit.html") Добавить отчёт
                                .menu-controls__item
                                    a.menu-controls__link(href="#") Удалить

                    //.btn.btn_primary.btn_m.btn_circle
                        .btn__icon.icon.icon_m
                            svg
                                use(xlink:href='#icon_menu_24')
            .car-detail__body
                .car-detail__info
                    .data-table.data-table_default
                        +data-table(carInfo)
                    .car-detail__description
                        .editor
                            p В отличном состоянии. Не битый не крашеный. В ДТП не участвовал. Салон чистый, ухоженный. Никаких несправностей нет. Пробег родной. Колодки, диски поменяны. Покупалсля у официального диллера. Все ТО.
                .car-detail__contacts
                    .data-table.data-table_default
                        +data-table(carContacts)

        //section.section.section_default
            .section__content
                .section__header
                    h2 Отчёты
                .section__body список отчётов по данному автомобилю
